App\Entity\AchatRetourProduit:
    type: entity
    table: achat_retour_produit
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        quantite:
            type: float
            nullable: false
        prixHt:
            type: float
            nullable: false
        tauxTva:
            type: float
            nullable: true
        totalTva:
            type: float
            nullable: true
        tauxRemise:
            type: float
            nullable: true
        totalRemise:
            type: float
            nullable: true
        prixTTC:
            type: float
            nullable: true
        notes:
            type: text
            nullable: true
    manyToOne:
        achatRetour:
            targetEntity: AchatRetour
            cascade: [persist]
            mappedBy: null
            inversedBy: rproduits
            joinColumns:
                achat_retour_id:
                    referencedColumnName: id
            orphanRemoval: false
        achatProduit:
            targetEntity: AchatProduit
            cascade: {  }
            mappedBy: null
            inversedBy: retours
            joinColumns:
                achat_produit_id:
                    referencedColumnName: id
            orphanRemoval: false